# Patches to be applied on top of kernel drivers
FILESEXTRAPATHS:prepend := "${THISDIR}/drivers:"

SRC_URI:append = " \
    file://qcs6490/0001-phy-qcom-qmp-ufs-Add-Phy-Configuration-support-for-S.patch \
    file://qcs9100/0001-FROMLIST-remoteproc-qcom_q6v5_pas-Add-support-for-SA.patch \
    file://qcs9100/0002-FROMLIST-soc-qcom-socinfo-add-QCS9100-ID.patch \
    file://qcs9100/0002-BACKPORT-soc-qcom-llcc-Add-llcc-configuration-suppor.patch \
    file://qcs9100/0001-UPSTREAM-crypto-qcom-rng-Add-hw_random-interface-sup.patch \
    file://qcs9100/0002-BACKPORT-firmware-qcom-add-a-dedicated-TrustZone-buf.patch \
    file://qcs9100/0003-BACKPORT-firmware-qcom-scm-enable-the-TZ-mem-allocat.patch \
    file://qcs9100/0004-BACKPORT-firmware-qcom-scm-smc-switch-to-using-the-S.patch \
    file://qcs9100/0005-BACKPORT-firmware-qcom-scm-make-qcom_scm_assign_mem-.patch \
    file://qcs9100/0006-BACKPORT-firmware-qcom-scm-make-qcom_scm_ice_set_key.patch \
    file://qcs9100/0007-BACKPORT-firmware-qcom-scm-make-qcom_scm_lmh_dcvsh-u.patch \
    file://qcs9100/0008-BACKPORT-firmware-qcom-scm-add-support-for-SHM-bridg.patch \
    file://qcs9100/0009-BACKPORT-firmware-qcom-tzmem-enable-SHM-Bridge-suppo.patch \
    file://qcs9100/0010-BACKPORT-firmware-qcom-scm-add-support-for-SHM-bridg.patch \
    file://qcs9100/0011-BACKPORT-firmware-qcom-scm-clarify-the-comment-in-qc.patch \
    file://qcs9100/0001-UPSTREAM-firmware-qcom-tzmem-don-t-ask-about-allocat.patch \
    file://qcs9100/0001-UPSTREAM-firmware-qcom-tzmem-export-devm_qcom_tzmem_.patch \
    file://qcs9100/0001-UPSTREAM-firmware-qcom-tzmem-simplify-returning-poin.patch \
    file://common/0001-BACKPORT-soc-qcom-icc-bwmon-Allow-for-interrupts-to-be-shared.patch \
    file://qcs9100/0001-BACKPORT-FROMLIST-clk-qcom-Add-support-for-Video-clo.patch \
    file://qcs9100/0002-BACKPORT-FROMLIST-clk-qcom-Add-support-for-Camera-Cl.patch \
    file://qcs9100/0003-BACKPORT-FROMLIST-clk-qcom-Add-support-for-Display-c.patch \
    file://common/0002-FROMLIST-media-iris-add-platform-driver-for-iris-vid.patch \
    file://common/0003-FROMLIST-media-iris-implement-iris-v4l2-file-ops.patch \
    file://common/0004-FROMLIST-media-iris-introduce-iris-core-state-manage.patch \
    file://common/0005-FROMLIST-media-iris-implement-video-firmware-load-un.patch \
    file://common/0006-FROMLIST-media-iris-implement-boot-sequence-of-the-f.patch \
    file://common/0007-FROMLIST-media-iris-introduce-host-firmware-interfac.patch \
    file://common/0008-FROMLIST-media-iris-implement-power-management.patch \
    file://common/0009-FROMLIST-media-iris-implement-reqbuf-ioctl-with-vb2_.patch \
    file://common/0010-FROMLIST-media-iris-implement-s_fmt-g_fmt-and-try_fm.patch \
    file://common/0011-FROMLIST-media-iris-implement-g_selection-ioctl.patch \
    file://common/0012-FROMLIST-media-iris-implement-enum_fmt-and-enum_fram.patch \
    file://common/0013-FROMLIST-media-iris-implement-subscribe_event-and-un.patch \
    file://common/0014-FROMLIST-media-iris-implement-iris-v4l2_ctrl_ops.patch \
    file://common/0015-FROMLIST-media-iris-implement-query_cap-query_ctrl-a.patch \
    file://common/0016-FROMLIST-media-iris-implement-vb2-streaming-ops.patch \
    file://common/0017-FROMLIST-media-iris-implement-set-properties-to-firm.patch \
    file://common/0018-FROMLIST-media-iris-subscribe-parameters-and-propert.patch \
    file://common/0019-FROMLIST-media-iris-allocate-initialize-and-queue-in.patch \
    file://common/0020-FROMLIST-media-iris-implement-vb2-ops-for-buf_queue-.patch \
    file://common/0021-FROMLIST-media-iris-add-support-for-dynamic-resoluti.patch \
    file://common/0022-FROMLIST-media-iris-handle-streamoff-on-from-client-.patch \
    file://common/0023-FROMLIST-media-iris-add-support-for-drain-sequence.patch \
    file://common/0024-FROMLIST-media-iris-add-check-whether-the-video-sess.patch \
    file://common/0025-FROMLIST-media-iris-implement-power-scaling-for-vpu2.patch \
    file://common/0026-FROMLIST-media-iris-add-check-to-allow-sub-states-tr.patch \
    file://common/0027-FROMLIST-media-iris-enable-video-driver-probe-of-SM8.patch \
    file://qcs9100/0004-QCLINUX-Revert-FROMLIST-remoteproc-qcom_q6v5_pas-Add.patch \
    file://qcs9100/0003-BACKPORT-remoteproc-qcom_q6v5_pas-Add-support-for-SA.patch \
    file://qcs9100/0004-UPSTREAM-misc-fastrpc-Add-support-for-cdsp1-remotepr.patch \
    file://qcs9100/0002-UPSTREAM-power-sequencing-implement-the-pwrseq-core.patch \
    file://qcs9100/0003-UPSTREAM-power-pwrseq-add-a-driver-for-the-PMU-modul.patch \
    file://qcs9100/0004-UPSTREAM-PCI-Hold-the-rescan-mutex-when-scanning-for.patch \
    file://qcs9100/0005-UPSTREAM-PCI-pwrctl-Reuse-the-OF-node-for-power-cont.patch \
    file://qcs9100/0006-UPSTREAM-PCI-pwrctl-Create-platform-devices-for-chil.patch \
    file://qcs9100/0007-UPSTREAM-PCI-pwrctl-Add-PCI-power-control-core-code.patch \
    file://qcs9100/0008-UPSTREAM-PCI-pwrctl-Add-a-PCI-power-control-driver-f.patch \
    file://qcs9100/0009-UPSTREAM-power-sequencing-request-the-WLAN-enable-GP.patch \
    file://qcs9100/0010-UPSTREAM-power-sequencing-qcom-wcn-set-the-wlan-enab.patch \
    file://qcs9100/0011-UPSTREAM-power-sequencing-qcom-wcn-add-support-for-t.patch \
    file://qcs9100/0001-UPSTREAM-phy-qcom-qmp-split-DP-PHY-registers-to-sepa.patch \
    file://qcs9100/0002-UPSTREAM-phy-Add-Embedded-DisplayPort-and-DisplayPor.patch \
    file://qcs9100/0003-UPSTREAM-phy-qcom-edp-Add-set_mode-op-for-configurin.patch \
    file://qcs9100/0004-UPSTREAM-phy-qcom-edp-Move-v4-specific-settings-to-v.patch \
    file://qcs9100/0007-UPSTREAM-phy-qcom-qmp-qserdes-com-Add-some-more-v6-r.patch \
    file://qcs9100/0008-UPSTREAM-phy-qcom-edp-Add-v6-specific-ops-and-X1E801.patch \
    file://qcs9100/0009-BACKPORT-UPSTREAM-drm-msm-dp-Add-support-for-determi.patch \
    file://qcs9100/0001-UPSTREAM-drm-msm-dpu-Drop-unused-get_scaler_ver-call.patch \
    file://qcs9100/0002-UPSTREAM-drm-msm-dpu-Drop-unused-qseed_type-from-cat.patch \
    file://qcs9100/0003-UPSTREAM-drm-msm-dpu-drop-the-id-field-from-DPU_HW_S.patch \
    file://qcs9100/0004-UPSTREAM-drm-msm-dpu-drop-the-smart_dma_priority-fie.patch \
    file://qcs9100/0005-UPSTREAM-drm-msm-dpu-enable-smartdma-on-sm8350.patch \
    file://qcs9100/0006-UPSTREAM-drm-msm-dpu-enable-SmartDMA-on-SM8450.patch \
    file://qcs9100/0007-UPSTREAM-drm-msm-dpu-deduplicate-some-most-of-SSPP-s.patch \
    file://qcs9100/0008-UPSTREAM-drm-msm-dpu-drop-DPU_HW_SUBBLK_INFO-macro.patch \
    file://qcs9100/0009-UPSTREAM-drm-msm-dpu-rewrite-scaler-and-CSC-presense.patch \
    file://qcs9100/0010-UPSTREAM-drm-msm-dpu-merge-DPU_SSPP_SCALER_QSEED3-QS.patch \
    file://qcs9100/0011-UPSTREAM-drm-msm-gpu-drop-duplicating-VIG-feature-ma.patch \
    file://qcs9100/0012-UPSTREAM-drm-msm-dpu-add-support-for-SM8650-DPU.patch \
    file://qcs9100/0013-UPSTREAM-drm-msm-mdss-add-support-for-SM8650.patch \
    file://qcs9100/0014-UPSTREAM-drm-msm-dpu-enable-writeback-on-SM8550.patch \
    file://qcs9100/0015-UPSTREAM-drm-msm-dpu-introduce-separate-wb2_format-a.patch \
    file://qcs9100/0016-UPSTREAM-drm-msm-dpu-stop-using-raw-IRQ-indices-in-t.patch \
    file://qcs9100/0017-UPSTREAM-drm-msm-dpu-shift-IRQ-indices-by-1.patch \
    file://qcs9100/0018-UPSTREAM-drm-msm-dpu-fix-encoder-irq-wait-skip.patch \
    file://qcs9100/0019-UPSTREAM-drm-atomic-helper-rename-drm_atomic_helper_.patch \
    file://qcs9100/0020-UPSTREAM-drm-vkms-move-wb-s-atomic_check-from-encode.patch \
    file://qcs9100/0021-BACKPORT-UPSTREAM-drm-msm-dpu-add-formats-check-for-.patch \
    file://qcs9100/0022-UPSTREAM-drm-msm-dpu-rename-dpu_encoder_phys_wb_setu.patch \
    file://qcs9100/0023-UPSTREAM-drm-msm-dpu-move-csc-matrices-to-dpu_hw_uti.patch \
    file://qcs9100/0024-UPSTREAM-drm-msm-dpu-add-cdm-blocks-to-sc7280-dpu_hw.patch \
    file://qcs9100/0025-UPSTREAM-drm-msm-dpu-add-cdm-blocks-to-sm8250-dpu_hw.patch \
    file://qcs9100/0026-BACKPORT-UPSTREAM-drm-msm-dpu-add-dpu_hw_cdm-abstrac.patch \
    file://qcs9100/0027-BACKPORT-UPSTREAM-drm-msm-dpu-add-cdm-blocks-to-RM.patch \
    file://qcs9100/0028-UPSTREAM-drm-msm-dpu-add-support-to-allocate-CDM-fro.patch \
    file://qcs9100/0029-UPSTREAM-drm-msm-dpu-add-CDM-related-logic-to-dpu_hw.patch \
    file://qcs9100/0030-UPSTREAM-drm-msm-dpu-add-an-API-to-setup-the-CDM-blo.patch \
    file://qcs9100/0031-UPSTREAM-drm-msm-dpu-plug-in-the-cdm-related-bits-to.patch \
    file://qcs9100/0032-UPSTREAM-drm-msm-dpu-reserve-cdm-blocks-for-writebac.patch \
    file://qcs9100/0033-UPSTREAM-drm-msm-dpu-add-cdm-blocks-to-dpu-snapshot.patch \
    file://qcs9100/0001-UPSTREAM-Bluetooth-qca-use-the-power-sequencer-for-Q.patch \
    file://qcs9100/0002-UPSTREAM-Bluetooth-qca-don-t-disable-power-managemen.patch \
    file://qcs9100/0003-UPSTREAM-Bluetooth-hci_qca-schedule-a-devm-action-fo.patch \
    file://qcs9100/0004-UPSTREAM-Bluetooth-hci_qca-unduplicate-calls-to-hci_.patch \
    file://qcs9100/0005-UPSTREAM-Bluetooth-hci_qca-make-pwrseq-calls-the-def.patch \
    file://qcs9100/0006-UPSTREAM-Bluetooth-hci_qca-use-the-power-sequencer-f.patch \
    file://qcs9100/0007-UPSTREAM-Bluetooth-hci_qca-Fix-build-error.patch \
    file://qcs9100/0001-UPSTREAM-firmware-qcom_scm-disable-SDI-if-required.patch \
    file://qcs9100/0002-FROMGIT-firmware-qcom-scm-Disable-SDI-and-write-no-d.patch \
    file://qcs9100/0001-UPSTREAM-wifi-ath11k-support-2-station-interfaces.patch \
    file://qcs9100/0002-UPSTREAM-wifi-ath11k-provide-address-list-if-chip-su.patch \
    file://qcs9100/0003-UPSTREAM-wifi-ath11k-use-work-queue-to-process-beaco.patch \
    file://qcs9100/0004-FROMLIST-wifi-ath11k-use-union-for-vaddr-and-iaddr-i.patch \
    file://qcs9100/0005-FROMLIST-wifi-ath11k-Add-firmware-coredump-collectio.patch \
    file://qcs9100/0006-FROMLIST-wifi-ath11k-support-DBS-and-DFS-compatibili.patch \
    file://qcs9100/0007-FROMLIST-wifi-ath11k-Fix-double-free-issue-during-SR.patch \
    file://qcs9100/0001-FROMGIT-rpmsg-glink-Tidy-up-RX-advance-handling.patch \
    file://qcs9100/0002-FROMGIT-rpmsg-glink-Pass-channel-to-qcom_glink_send_.patch \
    file://qcs9100/0003-BACKPORT-FROMGIT-rpmsg-glink-Introduce-packet-tracep.patch \
    file://qcs9100/0001-FROMGIT-soc-qcom-smp2p-Use-devname-for-interrupt-des.patch \
    file://qcs9100/0002-BACKPORT-FROMGIT-soc-qcom-smp2p-Introduce-tracepoint.patch \
    file://qcs9100/0001-BACKPORT-PCI-Add-ACS-quirk-for-Qualcomm-SA8775P.patch \
    file://qcs9100/0001-QCLINUX-regulator-add-proxy-consumer-library.patch \
    file://qcs615/0013-FROMGIT-pinctrl-qcom-add-the-tlmm-driver-for-QCS615-.patch \
    file://qcs615/0014-FROMLIST-clk-qcom-rpmhcc-Add-support-for-QCS615-Cloc.patch \
    file://qcs615/0015-FROMLIST-clk-qcom-gcc-Add-support-for-QCS615-GCC-clo.patch \
    file://qcs615/0016-FROMLIST-interconnect-qcom-add-QCS615-interconnect-p.patch \
    file://qcs615/0018-FROMGIT-pmdomain-qcom-rpmhpd-Add-qcs615-power-domain.patch \
    file://qcs615/0019-FROMLIST-soc-qcom-socinfo-Add-QCS615-SoC-ID-table-en.patch \
    file://qcs615/0005-FROMLIST-firmware-qcom-scm-Return-EOPNOTSUPP-for-uns.patch \
    file://qcs615/0006-BACKPORT-soc-qcom-llcc-Refactor-llcc-driver-to-suppo.patch \
    file://qcs615/0007-BACKPORT-soc-qcom-llcc-Add-llcc-configuration-suppor.patch \
    file://qcs615/0008-BACKPORT-FROMLIST-soc-qcom-llcc-Add-configuration-da.patch \
    file://qcs8300/0009-FROMGIT-pmdomain-qcom-rpmhpd-Add-qcs8300-power-domai.patch \
    file://qcs8300/0016-FROMLIST-pinctrl-qcom-add-the-tlmm-driver-for-QCS830.patch \
    file://qcs8300/0019-FROMLIST-clk-qcom-Add-support-for-Global-Clock-Contr.patch \
    file://qcs8300/0022-FROMLIST-interconnect-qcom-add-QCS8300-interconnect-.patch \
    file://qcs615/0001-BACKPORT-phy-qcom-qmp-usb-split-USB-C-PHY-driver.patch \
    file://qcs615/0002-UPSTREAM-phy-qcom-qmp-usbc-add-support-for-the-Type-.patch \
    file://qcs615/0003-UPSTREAM-phy-qcom-qmp-usbc-handle-CLAMP-register-in-.patch \
    file://qcs615/0004-UPSTREAM-phy-qcom-qmp-usbc-enable-SDM630-support.patch \
    file://qcs615/0005-BACKPORT-phy-qcom-qmp-move-common-functions-to-commo.patch \
    file://qcs615/0006-BACKPORT-phy-qcom-qmp-move-common-bits-definitions-t.patch \
    file://qcs615/0007-UPSTREAM-phy-qcom-qmp-usbc-drop-has_pwrdn_delay-hand.patch \
    file://qcs615/0008-BACKPORT-phy-qcom-qmp-Add-debug-prints-for-register-.patch \
    file://qcs615/0009-FROMLIST-phy-qcom-qmp-usbc-Add-qmp-configuration-for.patch \
    file://qcs615/0010-FROMLIST-phy-qcom-qusb2-Add-support-for-QCS615.patch \
    file://qcs9100/0005-FROMLIST-BACKPORT-drm-msm-mdss-Add-SA8775P-support.patch \
    file://qcs9100/0006-FROMLIST-BACKPORT-drm-msm-dpu-Add-SA8775P-support.patch \
    file://qcs9100/0002-FROMLIST-phy-qcom-edp-Introduce-aux_cfg-array-for-ve.patch \
    file://qcs9100/0003-FROMLIST-phy-qcom-edp-Add-support-for-eDP-PHY-on-SA8.patch \
    file://qcs9100/0005-FROMLIST-BACKPORT-drm-msm-dp-Add-DisplayPort-controller-for-S.patch \
    file://common/0002-FROMGIT-soc-qcom-llcc-Updating-the-macro-name.patch \
    file://common/0003-FROMGIT-soc-qcom-llcc-add-support-for-SAR2130P-and-S.patch \
    file://qcs8300/0004-BACKPORT-soc-qcom-llcc-Add-LLCC-configuration-for-th.patch \
    file://qcs9100/0001-FROMLIST-wifi-ath11k-Fix-unexpected-return-buffer-ma.patch \
    file://qcs9100/0001-PENDING-media-iris-add-compatible-string-for-sa8775p.patch \
    file://qcs9100/0003-QCLINUX-media-iris-add-support-for-GDSC-switch-and-P.patch \
    file://qcs9100/0001-FROMLIST-drm-msm-a6xx-Add-support-for-A663.patch \
    file://qcs8300/0001-UPSTREAM-phy-qcom-qmp-Add-qmp-configuration-for-QCS8.patch \
    file://qcs8300/0002-UPSTREAM-phy-qcom-qmp-usb-simplify-clock-handling.patch \
    file://qcs8300/0003-UPSTREAM-phy-qcom-qmp-usb-rework-reset-handling.patch \
    file://qcs615/0001-FROMLIST-clk-qcom-Update-the-support-for-alpha-mode-.patch \
    file://qcs615/0002-FROMLIST-clk-qcom-clk-alpha-pll-Add-support-for-dyna.patch \
    file://qcs615/0004-FROMLIST-clk-qcom-camcc-qcs615-Add-QCS615-camera-clo.patch \
    file://qcs615/0006-FROMLIST-clk-qcom-dispcc-qcs615-Add-QCS615-display-c.patch \
    file://qcs615/0008-FROMLIST-clk-qcom-gpucc-qcs615-Add-QCS615-graphics-c.patch \
    file://qcs615/0010-FROMLIST-clk-qcom-videocc-qcs615-Add-QCS615-video-cl.patch \
    file://common/0004-FROMLIST-firmware-psci-Read-and-use-vendor-reset-typ.patch \
    file://qcs6490/0007-UPSTREAM-remoteproc-qcom_q6v5_pas-Add-SC7280-ADSP-CD.patch \
    file://qcs9100/0001-FROMLIST-misc-fastrpc-Add-support-for-multiple-PD-from-one-pr.patch \
    file://qcs9100/0002-FROMLIST-misc-fastrpc-Rename-tgid-and-pid-to-client_id.patch \
    file://common/0001-FROMLIST-irqchip-gic-v3-Handle-failure-case-of-CPU-e.patch \
    file://qcs615/0002-FROMLIST-phy-qcom-qmp-Add-phy-register-and-clk-setti.patch \
    file://qcs615/0004-FROMLIST-PCI-qcom-Add-QCS615-PCIe-support.patch \
    file://qcs615/0004-FROMLIST-drm-msm-mdss-Add-SM6150-support.patch \
    file://qcs615/0005-FROMLIST-drm-msm-dpu-Add-SM6150-support.patch \
    file://qcs615/0006-FROMLIST-drm-msm-dsi-Add-dsi-phy-support-for-SM6150.patch \
    file://qcs615/0007-FROMLIST-drm-msm-dsi-Add-support-for-SM6150.patch \
    file://qcs615/0002-FROMLIST-media-venus-core-add-qcs615-platform-data.patch \
    file://common/0001-FROMLIST-phy-qcom-qusb2-Add-regulator_set_load-to-Qu.patch \
    file://qcs615/0001-FROMLIST-net-stmmac-dwmac-qcom-ethqos-add-support-fo.patch \
    file://common/0028-FROMLIST-mmc-sdhci-msm-Enable-MMC_CAP_AGGRESSIVE_PM-.patch \
    file://qcs615/0003-FROMLIST-phy-qcom-qmp-usbc-Add-DP-phy-mode-support-o.patch \
    file://qcs615/0004-FROMLIST-drm-msm-dp-Add-DisplayPort-support-for-QCS6.patch \
    file://qcs615/0005-FROMLIST-drm-msm-dp-Add-support-for-lane-mapping-con.patch \
    file://qcs615/0006-FROMLIST-drm-msm-dp-Retry-Link-Training-2-with-lower.patch \
    file://qcs615/0001-BACKPORT-drm-msm-dpu-check-for-overflow-in-_dpu_crtc_.patch \
    file://qcs615/0002-BACKPORT-drm-msm-dpu-merge-MAX_IMG_WIDTH-HEIGHT-with.patch \
    file://qcs615/0003-BACKPORT-drm-msm-dpu-sync-mode_config-limits-to-the-.patch \
    file://qcs615/0004-FROMLIST-drm-msm-dpu-filter-out-too-wide-modes-if-no.patch \
    file://qcs615/0001-FROMLIST-drm-msm-dp-call-dp_hpd_plug_handle-unplug_h.patch \
    file://qcs615/0001-FROMLIST-drm-msm-dpu-Filter-modes-based-on-adjusted-.patch \
    file://qcs615/0001-FROMLIST-arm64-gfx-qcom-qcs615-Add-support-for-Adren.patch \
    file://qcs615/0001-FROMLIST-net-stmmac-qcom-ethqos-Enable-RX-programmab.patch \
    "
